/*
Copyright (C) 2014 Graham Jones, www.indriid.com
*/

package stacey;

import beast.core.CalculationNode;
import beast.core.Description;
import beast.core.Input;
import beast.evolution.tree.Tree;


/**
 * Created by Graham Jones on 10/09/2014.
 */

@Description("A gene tree and a coalescence factor (ploidy)")
public class GtreeAndCoalFactor extends CalculationNode {

    @SuppressWarnings({"CanBeFinal", "WeakerAccess"})
    public Input<Tree> gtree =
            new Input<Tree>("tree",
                    "A gene tree");

    @SuppressWarnings("CanBeFinal")
    public Input<Double> coalFactor =
            new Input<Double>("Ploidy",
                    "Coalescence factor, often the same as ploidy. Default is 2",
                    2.0);


    @Override
    public void initAndValidate() {


    }

    Tree getTree() {
        return gtree.get();
    }

    double getCoalFactor() {
        return coalFactor.get();
    }
}
